package com.jiayue.center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.center.entity.SysDept;

import java.util.List;

/**
 * 部门服务类
 * @author xsl
 * @date 2023/2/16
 */
public interface SysDeptService extends IService<SysDept> {
    /**
     * 根据用户查询系统菜单列表
     *
     * @param Dept 用户ID
     * @return 菜单列表
     */
    List<SysDept> selectDeptList(SysDept Dept);
    /**
     * 校验菜单名称是否唯一
     *
     * @param Dept 菜单信息
     * @return 结果
     */
    String checkDeptNameUnique(SysDept Dept);
    /**
     * 新增保存菜单信息
     *
     * @param Dept 菜单信息
     * @return 结果
     */
    int insertDept(SysDept Dept);
    /**
     * 根据菜单ID查询信息
     *
     * @param DeptId 菜单ID
     * @return 菜单信息
     */
    SysDept selectDeptById(Long DeptId);
    /**
     * 修改保存菜单信息
     *
     * @param Dept 菜单信息
     * @return 结果
     */
    int updateDept(SysDept Dept);
    /**
     * 是否存在菜单子节点
     *
     * @param DeptId 菜单ID
     * @return 结果
     */
    boolean hasChildByDeptId(Long DeptId);
    /**
     * 删除菜单管理信息
     *
     * @param DeptId 菜单ID
     * @return 结果
     */
    int deleteDeptById(Long DeptId);

}
